Bug 392521 - gnome-screenshot does not handle "Save in folder" properly
gnome-screenshot does not handle "Save in folder" properly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-utils (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 10:09 EST by Alexander Todorov
Modified: 2009-01-09 00:17 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:17:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
video screen capture using a Xen guest. (2.17 MB, application/ogg)
2007-11-20 10:10 EST, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2007-11-20 10:09:04 EST
Description of problem:
The gnome-screenshot program is not handling "Save in folder" properly, which
results in screenshots saved in another folder.

Version-Release number of selected component (if applicable):
gnome-utils-2.20.0.1-2.fc8


How reproducible:
Always

Steps to Reproduce:
1. Create some directories to save files in (mkdir -p ~/Desktop/images)
2. Press Alt+PrtSc or start gnome-screenshot to make a screenshot
3. Use the "Save in folder" dialog to navigate to the directory where you want
to save the file
4. IMPORTANT: In the dialog select the directory (images) with the mouse and
click the "Open" button. 
5. The name of the directory is reflected in the GUI /Save in folder field
6. Click "Save". The image is saved in the parent directory (~/Desktop in this case)

  
Actual results:
The image is saved in the parent directory of what is selected.

Expected results:
The image is saved in the selected directory.

Additional info:
To actually save the image in the desired directory replace step #4 with:
4. In the dialog select the directory (images) with the mouse and double click
on it. You are now inside the directory (showing that it's empty). Click the
"Open" button. 

Although the GUI is reflecting the current selection IMO the internal data
structures are not updated to reflect the new save location. Most probably the
error is that this location is the current directory when clicking "Open" which
does not reflect the selection with the mouse.
Comment 1 Alexander Todorov 2007-11-20 10:10:47 EST
Created attachment 265011 [details]
video screen capture using a Xen guest.
Comment 2 Bug Zapper 2008-11-26 03:36:54 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:17:50 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.